summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorLinus Färnstrand <linus@mullvad.net>2020-02-20 16:29:27 +0100
committerLinus Färnstrand <linus@mullvad.net>2020-02-20 16:29:27 +0100
commitc0a47fa66622f5617ba49fb19c6c5e0d5d545443 (patch)
tree393d641aaeb10eea693255962b293d8270540003
parent1ceeb6387480b52081e90576e5f059e2cf2798a8 (diff)
parent204e86443f04ed68148145cf65e8fbfd7f59e4e2 (diff)
downloadmullvadvpn-c0a47fa66622f5617ba49fb19c6c5e0d5d545443.tar.xz
mullvadvpn-c0a47fa66622f5617ba49fb19c6c5e0d5d545443.zip
Merge branch 'improve-prepare-release'
-rwxr-xr-xprepare_release.sh26
1 files changed, 13 insertions, 13 deletions
diff --git a/prepare_release.sh b/prepare_release.sh
index f30e2e2749..50319be67a 100755
--- a/prepare_release.sh
+++ b/prepare_release.sh
@@ -28,7 +28,13 @@ echo "Updating version in metadata files..."
echo "Syncing Cargo.lock with new version numbers"
source env.sh ""
-cargo +stable build
+# If cargo exits with a non zero exit status and it's not a timeout (exit code 124) it's an error
+set +e
+timeout 5s cargo +stable build
+if [[ $? != 0 && $? != 124 ]]; then
+ exit 1
+fi
+set -e
echo "Commiting metadata changes to git..."
git commit -S -m "Updating version in package files" \
@@ -47,15 +53,9 @@ git tag -s $PRODUCT_VERSION -m $PRODUCT_VERSION
./version_metadata.sh delete-backup
-echo "==================================================="
-echo "DONE preparing for a release! Now do the following:"
-echo " 1. Push the commit and tag created by this script"
-echo " after you have verified they are correct"
-echo " $ git push"
-echo " $ git push origin $PRODUCT_VERSION"
-echo " 2. On each platform where you want to create a"
-echo " release artifact, check out the tag and build:"
-echo " $ git fetch"
-echo " $ git checkout $PRODUCT_VERSION"
-echo " $ ./build.sh"
-echo "==================================================="
+echo "================================================="
+echo "| DONE preparing for a release! |"
+echo "| Now push the tag created by this script |"
+echo "| after you have verified it is correct: |"
+echo "| $ git push origin $PRODUCT_VERSION |"
+echo "================================================="